%global momorel 2
%global gecko_ver 1.9.0.2
%global pythonver 2.5.1-11m
%global pyver %(%{__python} -c "import sys ; print sys.version[:3]")
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Miro - free, open source internet tv and video player
Name: miro
Version: 1.2.7
Release: %{momorel}m%{?dist}
Group: Applications/Multimedia
License: GPLv2+
URL: http://www.getmiro.com/
Source0: http://ftp.osuosl.org/pub/pculture.org/miro/src/Miro-%{version}.tar.gz
NoSource: 0
Patch0: Miro-1.1-utf8.patch
Patch1: Miro-xulrunner.patch
Patch2: miro-1.1-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: %{ix86} x86_64 ppc ppc64
BuildRequires: python-devel >= %{pythonver}
BuildRequires: Pyrex
BuildRequires: xine-lib
BuildRequires: libfame-devel
BuildRequires: boost-devel >= 1.34.1-1m
BuildRequires: gecko-devel >= %{gecko_ver}
BuildRequires: gecko-devel-unstable = %{gecko_ver}
BuildRequires: nspr-devel
BuildRequires: libX11-devel, libXau-devel, libXcursor-devel, libXdmcp-devel
BuildRequires: libXext-devel, libXfixes-devel, libXft-devel, libXi-devel
BuildRequires: libXinerama-devel, libXrandr-devel, libXrender-devel
BuildRequires: atk-devel, cairo-devel, glibc-devel, expat-devel
BuildRequires: fontconfig-devel, freetype-devel, gtk2-devel, glib2-devel
BuildRequires: glibc-devel, pango-devel, libpng-devel, libstdc++-devel
BuildRequires: libxcb-devel, zlib-devel
Requires: python-abi = %{pyver}
Requires: gnome-python2-extras-gtkmozembed >= 2.14.3-6m
Requires: gecko-libs = %{gecko_ver}

%description
Miro is free, open source internet tv and video player.

%prep
%setup -q -n Miro-%{version}
%patch0 -p1 -b .utf8~
%patch1 -p1 -b .xulrunner~
%patch2 -p1 -b .gcc43~

%build
case "`gcc -dumpversion`" in
4.3.*)
   # miro-1.1 reqiures -fpermissive with gcc43
   RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fpermissive"
   ;;
esac
cd platform/gtk-x11
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
mv platform/gtk-x11/README platform/gtk-x11/README-gtk-x11
# fix EOL
sed -ie 's|\r$||g' CREDITS
# remove shebangs from scripts
cd platform/gtk-x11 && \
  find build/lib* -name '*.py' -exec sed -i "1{/^#!/d}" {} \; && \
  %{__python} setup.py install -O1 --skip-build --root %{buildroot}
%find_lang miro
 
%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun
update-desktop-database %{_datadir}/applications &> /dev/null ||:

# Include files and dirs below %{python_sitelib} (for noarch packages) and
# %{python_sitearch} (for arch-dependent packages) as appropriate, and mark
# *.pyo as %ghost (do not include in package).
%files
%defattr(-,root,root,-)
%doc CREDITS README license.txt platform/gtk-x11/README-gtk-x11
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/miro
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/man/man1/*
%{_datadir}/mime/packages/*.xml
%{_datadir}/locale/*/LC_MESSAGES/miro.mo
%{python_sitearch}/miro
%{python_sitearch}/miro-*.egg-info

%changelog
* Wed Sep 24 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.7-2m)
- rebuild against xulrunner-1.9.0.2-1m

* Mon Sep 15 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.7-1m)
- update to 1.2.7

* Sun Jul 20 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.3-6m)
- rebuild against xulrunner-1.9.0.1-1m

* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.3-5m)
- rebuild against openssl-0.9.8h-1m

* Thu May 15 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.3-4m)
- import xulrunner patch from Fedora

* Wed Apr 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.3-3m)
- restrict python ver-rel for egginfo

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.3-2m)
- rebuild against firefox-3

* Tue Apr 29 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3

* Mon Apr 28 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.1-2m)
- enable egg-info

* Fri Apr 18 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Thu Apr 17 2008 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1-9m)
- rebuild against firefox-2.0.0.14

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-8m)
- rebuild against gcc43

* Thu Mar 27 2008 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.1-7m)
- rebuild against firefox-2.0.0.13

* Fri Feb 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.1-6m)
- add patch for gcc43

* Fri Feb 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-5m)
- adjust %%files for the newest python
- BR: python-devel >= 2.5.1-7m

* Sun Feb 10 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.1-4m)
- rebuild against firefox-2.0.0.12

* Fri Feb  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-3m)
- modify %%files

* Thu Feb  7 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.1-2m)
- add gcc43.patch 
- add -fpermissive for gcc43

* Sat Jan 12 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-1m)
- update to 1.1

* Sat Dec  1 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0-3m)
- rebuild against firefox-2.0.0.11

* Wed Nov 28 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0-2m)
- rebuild against firefox-2.0.0.10

* Wed Nov 14 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Fri Nov  2 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.9.9-2m)
- rebuild against firefox-2.0.0.9

* Thu Nov  1 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.9.9-1m)
- update to 0.9.9.9

* Fri Oct 19 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.9-5m)
- rebuild against firefox-2.0.0.8

* Thu Sep 27 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.9-4m)
- replace %%{_datadir}/mime/packages/miro.xml

* Wed Sep 19 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.9-3m)
- rebuild against firefox-2.0.0.7-1m

* Sun Sep  9 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.9-2m)
- add Requires: gnome-python2-extras-gtkmozembed
  thx <http://pc11.2ch.net/test/read.cgi/linux/1188293074/34>

* Wed Sep  5 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.9-1m)
- update to 0.9.9

* Sun Aug 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.8.1-3m)
- add BuildArch ppc ppc64

* Thu Aug 16 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8.1-2m)
- rebuild against boost-1.34.1-1m

* Thu Aug  2 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8.1-1m)
- update to 0.9.8.1

* Thu Aug  2 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8-1m)
- import to Momonga
- add Patch0: miro-0.9.8-dbus-fix.patch
  <https://develop.participatoryculture.org/trac/democracy/ticket/7270>
